Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.labs.taskqueue
Class TaskOptions.Builder

    java.lang.Object
      com.google.appengine.api.labs.taskqueue.TaskOptions.Builder

Enclosing class:
  TaskOptions

    public static final class TaskOptions.Builder

extends java.lang.Object

Provides static creation methods for `TaskOptions`.

Method Summary
`static TaskOptions` | `countdownMillis(long countdownMillis)` Returns default `TaskOptions` and calls `TaskOptions.countdownMillis(long)`.
`static TaskOptions` | `etaMillis(long etaMillis)` Returns default `TaskOptions` and calls `TaskOptions.etaMillis(long)`.
`static TaskOptions` | `header(java.lang.String headerName, java.lang.String value)` Returns default `TaskOptions` and calls `TaskOptions.header(String, String)`.
`static TaskOptions` | `headers(java.util.Map<java.lang.String,java.lang.String> headers)` Returns default `TaskOptions` and calls `TaskOptions.headers(Map)`.
`static TaskOptions` | `method(TaskOptions.Method method)` Returns default `TaskOptions` and calls `TaskOptions.method(Method)`.
`static TaskOptions` | `param(java.lang.String paramName, byte[] value)` Returns default `TaskOptions` and calls `TaskOptions.param(String, byte[])`.
`static TaskOptions` | `param(java.lang.String paramName, java.lang.String value)` Returns default `TaskOptions` and calls `TaskOptions.param(String, String)`.
`static TaskOptions` | `payload(byte[] payload, java.lang.String contentType)` Returns default `TaskOptions` and calls `TaskOptions.payload(byte[], String)`.
`static TaskOptions` | `payload(java.lang.String payload)` Returns default `TaskOptions` and calls `TaskOptions.payload(String)`.
`static TaskOptions` | `payload(java.lang.String payload, java.lang.String charset)` Returns default `TaskOptions` and calls `TaskOptions.payload(String, String)`.
`static TaskOptions` | `taskName(java.lang.String taskName)` Returns default `TaskOptions` and calls `TaskOptions.taskName(String)`.
`static TaskOptions` | `url(java.lang.String url)` Returns default `TaskOptions` and calls `TaskOptions.url(String)`.
`static TaskOptions` | `withDefaults()` Returns default `TaskOptions` with default values.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### taskName

    public static TaskOptions taskName(java.lang.String taskName)

  Returns default `TaskOptions` and calls `TaskOptions.taskName(String)`.

### payload

    public static TaskOptions payload(java.lang.String payload,
                                      java.lang.String charset)

  Returns default `TaskOptions` and calls `TaskOptions.payload(String, String)`.

### payload

    public static TaskOptions payload(byte[] payload,
                                      java.lang.String contentType)

  Returns default `TaskOptions` and calls `TaskOptions.payload(byte[], String)`.

### payload

    public static TaskOptions payload(java.lang.String payload)

  Returns default `TaskOptions` and calls `TaskOptions.payload(String)`.

### headers

    public static TaskOptions headers(java.util.Map<java.lang.String,java.lang.String> headers)

  Returns default `TaskOptions` and calls `TaskOptions.headers(Map)`.

### header

    public static TaskOptions header(java.lang.String headerName,
                                     java.lang.String value)

  Returns default `TaskOptions` and calls `TaskOptions.header(String, String)`.

### method

    public static TaskOptions method(TaskOptions.Method method)

  Returns default `TaskOptions` and calls `TaskOptions.method(Method)`.

### param

    public static TaskOptions param(java.lang.String paramName,
                                    java.lang.String value)

  Returns default `TaskOptions` and calls `TaskOptions.param(String, String)`.

### param

    public static TaskOptions param(java.lang.String paramName,
                                    byte[] value)

  Returns default `TaskOptions` and calls `TaskOptions.param(String, byte[])`.

### url

    public static TaskOptions url(java.lang.String url)

  Returns default `TaskOptions` and calls `TaskOptions.url(String)`.

### countdownMillis

    public static TaskOptions countdownMillis(long countdownMillis)

  Returns default `TaskOptions` and calls `TaskOptions.countdownMillis(long)`.

### etaMillis

    public static TaskOptions etaMillis(long etaMillis)

  Returns default `TaskOptions` and calls `TaskOptions.etaMillis(long)`.

### withDefaults

    public static TaskOptions withDefaults()

  Returns default `TaskOptions` with default values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD